jUCMNav v2.1.0

Download

Update site

From binaries

Requirements

Operating Systems

  • Windows XP (tested) :check:
  • Linux (tested) :check:
  • MacOS X (tested) :check:
  • Any other O/S on which you can run Eclipse (currently untested - please report your success!)

JDK

Prerequisites

  • For more in-depth information and a guide about installation of prerequisites, see DevDocDeployment.
  • Eclipse
    • jUCMNav 2.1 requires Eclipse 3.2
    • We recommend you download the Eclipse SDK.
  • The Graphical Editing Framework
    • jUCMNav 2.1 requires GEF 3.2
    • We recommend you download the SDK or runtime.
    • This can be installed through the Eclipse update function, select the "Callisto discovery site" update site already listed.
  • The Eclipse Modeling Framework (EMF and SDO)
    • jUCMNav 2.1 requires EMF/SDO 2.2.0
    • We recommend you download the SDK or runtime, but make sure you get EMF and SDO; the plugin will not work otherwise.
    • This can be installed through the Eclipse update function, select the "Callisto discovery site" update site already listed.
  • [Optional] GraphViz dot

Release Notes

Installation

From update site:

From binaries:
  • Download and install all prerequisites, then copy the jar file into your /eclipse/plugins/ directory. Restart Eclipse.
  • If you've installed jUCMNav from a latest build instead of an official release, make sure you remove the latest builds.

Help

  • End-user documentation is integrated with the Eclipse help system. Access Help > Help Contents from the Eclipse workbench, then select topic jUCMNav Online Help.

Reporting Bugs / Usability Requests

  • Send your bug reports to jucmnav-dev@softwareengineering.ca.
  • Include reproduction steps, sample .jucm files and, if applicable, copy-paste the error log messages.
  • If you're zealous enough, we'll create a BugZilla account for you smile

Enhancements / Fixes Since 2.0.1

  • Minor bug fixes relating to GRL
  • Migration to Eclipse 3.2
  • Packaged as an Eclipse feature with another plugin:

Known Issues in 2.1

  • Might not have found all issues with Eclipse 3.2
  • Autolayout still a prototype
  • User documentation not translated yet.
  • User documentation does not reflect integration of GRL.

-- JasonKealey - 14 Sep 2006
Topic revision: r2 - 19 Sep 2006, JasonKealey
This site is powered by FoswikiCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback